summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/wmii-hg/config.sh4
-rwxr-xr-x.config/wmii-hg/wmiirc4
2 files changed, 2 insertions, 6 deletions
diff --git a/.config/wmii-hg/config.sh b/.config/wmii-hg/config.sh
index 6846920..4b968b0 100644
--- a/.config/wmii-hg/config.sh
+++ b/.config/wmii-hg/config.sh
@@ -68,9 +68,7 @@ Event() {
## WMII-meta events
Quit) ## No args
trap - EXIT
- if [ -S "$NOTIFY_SOCKET" ]; then
- echo STOPPING=1 | socat STDIO UNIX-SENDTO:"$NOTIFY_SOCKET"
- fi
+ systemd-notify STOPPING=1 || true
Event WmiircUnmount
Event WmiircQuit;;
Warning) ## $@=string
diff --git a/.config/wmii-hg/wmiirc b/.config/wmii-hg/wmiirc
index 260aaa1..379de79 100755
--- a/.config/wmii-hg/wmiirc
+++ b/.config/wmii-hg/wmiirc
@@ -13,9 +13,7 @@ wmiir xwrite /event WmiircQuit # close any existing wmiirc's
Event WmiircStart
# Notify systemd that we're ready
-if [ -S "$NOTIFY_SOCKET" ]; then
- echo READY=1 | socat STDIO UNIX-SENDTO:"$NOTIFY_SOCKET"
-fi
+systemd-notify READY=1 || true
trap "Event Quit" EXIT